## netcdf-g95 3.6.1-20061006

=== debian/changelog ===
netcdf-g95 (3.6.1-20061006) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Oct 2006 03:10:29 +0900

netcdf-g95 (3.6.1-20060927) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 29 Sep 2006 03:10:41 +0900

netcdf-g95 (3.6.1-20060925) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 26 Sep 2006 03:10:36 +0900

netcdf-g95 (3.6.1-20060922) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 23 Sep 2006 03:10:31 +0900

netcdf-g95 (3.6.1-20060920) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 22 Sep 2006 03:10:28 +0900

netcdf-g95 (3.6.1-20060918) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 20 Sep 2006 03:10:52 +0900

netcdf-g95 (3.6.1-20060914) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 16 Sep 2006 03:10:39 +0900

netcdf-g95 (3.6.1-20060913) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 15 Sep 2006 03:10:47 +0900

netcdf-g95 (3.6.1-20060906) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  8 Sep 2006 03:10:33 +0900

netcdf-g95 (3.6.1-20060905) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  7 Sep 2006 03:10:29 +0900

netcdf-g95 (3.6.1-20060904) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed,  6 Sep 2006 03:10:43 +0900

netcdf-g95 (3.6.1-20060831) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat,  2 Sep 2006 03:10:26 +0900

netcdf-g95 (3.6.1-20060830) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  1 Sep 2006 03:10:25 +0900

netcdf-g95 (3.6.1-20060824) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 26 Aug 2006 03:10:33 +0900

netcdf-g95 (3.6.1-20060823) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 25 Aug 2006 03:10:24 +0900

netcdf-g95 (3.6.1-20060822) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 23 Aug 2006 03:10:21 +0900

netcdf-g95 (3.6.1-20060820) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 22 Aug 2006 03:10:26 +0900

netcdf-g95 (3.6.1-20060816) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 18 Aug 2006 03:10:25 +0900

netcdf-g95 (3.6.1-20060815) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 17 Aug 2006 03:13:29 +0900

netcdf-g95 (3.6.1-20060809) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 11 Aug 2006 03:10:34 +0900

netcdf-g95 (3.6.1-20060807) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed,  9 Aug 2006 03:10:31 +0900

netcdf-g95 (3.6.1-20060802) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri,  4 Aug 2006 03:11:19 +0900

netcdf-g95 (3.6.1-20060801) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  3 Aug 2006 03:12:07 +0900

netcdf-g95 (3.6.1-20060727) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 28 Jul 2006 03:10:23 +0900

netcdf-g95 (3.6.1-20060726) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 27 Jul 2006 03:10:24 +0900

netcdf-g95 (3.6.1-20060724) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 26 Jul 2006 03:10:25 +0900

netcdf-g95 (3.6.1-20060721) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 22 Jul 2006 03:10:22 +0900

netcdf-g95 (3.6.1-20060717) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 18 Jul 2006 03:10:17 +0900

netcdf-g95 (3.6.1-20060711) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 12 Jul 2006 03:10:52 +0900

netcdf-g95 (3.6.1-20060710) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 11 Jul 2006 03:11:13 +0900

netcdf-g95 (3.6.1-20060705) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu,  6 Jul 2006 03:10:22 +0900

netcdf-g95 (3.6.1-20060702) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon,  3 Jul 2006 03:10:15 +0900

netcdf-g95 (3.6.1-20060630) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Jul 2006 03:10:40 +0900

netcdf-g95 (3.6.1-20060628) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 29 Jun 2006 03:54:28 +0900

netcdf-g95 (3.6.1-20060626) unstable; urgency=low


## netcdf-g95 3.6.1-20061008

=== debian/changelog ===
netcdf-g95 (3.6.1-20061008) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 10 Oct 2006 03:11:30 +0900

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

EXT=g95
FC=g77
CC=gcc
CXX=g++
CPPFLAGS=-Df2cFortran
F90FLAGS=

ifndef F90
	export F90=g95
endif

ifeq (,$(F90))
	export F90=g95
endif


package=netcdf-$(EXT)
export DESTDIR=$(shell expr `pwd`/debian/tmp/usr)


CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif

configure: configure-stamp
configure-stamp: check-g95
	dh_testdir
	# Add here commands to configure the package.

	touch configure-stamp
	dh_testdir
	cp debian/control.$(EXT) debian/control
	# Add here commands to configure the package.

	(cd src && export CC=$(CC) FC=$(FC) F90=$(F90) CXX=$(CXX) CPPFLAGS=$(CPPFLAGS) F90FLAGS=$(F90FLAGS) ; ./configure --prefix=$(DESTDIR))

check-g95:
	@if ! which $(F90) > /dev/null 2>&1 ; then \
		echo "" ;\
		echo "  Error: \"$(F90)\": command not found" >&2 ;\
		echo "" ;\
		exit 1 ;\
	fi

build: build-stamp
	$(checkdir)

	(cd src && $(MAKE) ; $(MAKE) test -C f90)
	touch build

build-stamp: configure-stamp 
	dh_testdir

	# Add here commands to compile the package.
#	$(MAKE)
	#docbook-to-man debian/netcdf-g95.sgml > netcdf-g95

	touch build-stamp

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp configure-stamp

	# Add here commands to clean up after the build process.
	cp debian/control.$(EXT) debian/control
	$(checkdir)
	-rm -f build
	(cd src && touch macros.make ; $(MAKE) distclean)
	-rm -f `find . -name "*~"`
	-rm -rf debian/tmp debian/files* core debian/substvars
	-rm -f src/work.* src/f90/*.d src/f90/work.*

	dh_clean 

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build
	$(checkdir)
	-rm -rf debian/tmp
	install -d debian/tmp
	cd debian/tmp && install -d `cat ../dirs`
	cp src/libsrc/libnetcdf.a debian/tmp/usr/lib/libnetcdf-$(EXT).a
	pwd

	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
#	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure

## netcdf-g95 3.6.1-20061012

=== debian/changelog ===
netcdf-g95 (3.6.1-20061012) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 14 Oct 2006 03:10:17 +0900

## netcdf-g95 3.6.1-20061013

=== debian/changelog ===
netcdf-g95 (3.6.1-20061013) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Oct 2006 03:10:21 +0900

## netcdf-g95 3.6.1-20061016

=== debian/changelog ===
netcdf-g95 (3.6.1-20061016) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Wed, 18 Oct 2006 03:10:44 +0900

## netcdf-g95 3.6.1-20061018

=== debian/changelog ===
netcdf-g95 (3.6.1-20061018) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 20 Oct 2006 03:10:23 +0900

## netcdf-g95 3.6.1-20061021

=== debian/changelog ===
netcdf-g95 (3.6.1-20061021) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Mon, 23 Oct 2006 03:10:24 +0900

## netcdf-g95 3.6.1-20061022

=== debian/changelog ===
netcdf-g95 (3.6.1-20061022) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 24 Oct 2006 03:10:20 +0900

## netcdf-g95 3.6.1-20061024

=== debian/changelog ===
netcdf-g95 (3.6.1-20061024) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Thu, 26 Oct 2006 03:10:32 +0900

## netcdf-g95 3.6.1-20061025

=== debian/changelog ===
netcdf-g95 (3.6.1-20061025) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 27 Oct 2006 03:10:05 +0900

## netcdf-g95 3.6.1-20061026

=== debian/changelog ===
netcdf-g95 (3.6.1-20061026) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 28 Oct 2006 03:10:04 +0900

## netcdf-g95 3.6.1-20061027

=== debian/changelog ===
netcdf-g95 (3.6.1-20061027) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Oct 2006 03:10:05 +0900

## netcdf-g95 3.6.1-20061102

=== debian/changelog ===
netcdf-g95 (3.6.1-20061102) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  5 Nov 2006 02:15:04 +0900

## netcdf-g95 3.6.1-20061106

=== debian/changelog ===
netcdf-g95 (3.6.1-20061106) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue,  7 Nov 2006 18:10:50 +0900

## netcdf-g95 3.6.1-20061115

=== debian/changelog ===
netcdf-g95 (3.6.1-20061115) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Nov 2006 02:15:04 +0900

## netcdf-g95 3.6.1-20061121

=== debian/changelog ===
netcdf-g95 (3.6.1-20061121) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Nov 2006 02:15:05 +0900

## netcdf-g95 3.6.1-20061130

=== debian/changelog ===
netcdf-g95 (3.6.1-20061130) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Dec 2006 02:15:05 +0900

## netcdf-g95 3.6.1-20061207

=== debian/changelog ===
netcdf-g95 (3.6.1-20061207) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Dec 2006 02:15:04 +0900

## netcdf-g95 3.6.1-20061212

=== debian/changelog ===
netcdf-g95 (3.6.1-20061212) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 17 Dec 2006 02:15:04 +0900

## netcdf-g95 3.6.1-20061219

=== debian/changelog ===
netcdf-g95 (3.6.1-20061219) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 24 Dec 2006 02:15:05 +0900

## netcdf-g95 3.6.1-20070105

=== debian/changelog ===
netcdf-g95 (3.6.1-20070105) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Jan 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070112

=== debian/changelog ===
netcdf-g95 (3.6.1-20070112) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Jan 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070117

=== debian/changelog ===
netcdf-g95 (3.6.1-20070117) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Jan 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070124

=== debian/changelog ===
netcdf-g95 (3.6.1-20070124) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Jan 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070202

=== debian/changelog ===
netcdf-g95 (3.6.1-20070202) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  4 Feb 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070209

=== debian/changelog ===
netcdf-g95 (3.6.1-20070209) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Feb 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070215

=== debian/changelog ===
netcdf-g95 (3.6.1-20070215) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Feb 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070223

=== debian/changelog ===
netcdf-g95 (3.6.1-20070223) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 25 Feb 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070228

=== debian/changelog ===
netcdf-g95 (3.6.1-20070228) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  4 Mar 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070307

=== debian/changelog ===
netcdf-g95 (3.6.1-20070307) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Mar 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070312

=== debian/changelog ===
netcdf-g95 (3.6.1-20070312) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Mar 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070320

=== src/libsrc/Makefile ===
# $Id: Makefile,v 2.47 2005/02/17 16:15:11 ed Exp $
#
#	Makefile for netcdf libsrc
#

include ../macros.make

INCLUDES = -I.. -I.

LIBRARY 	= libnetcdf.a
ld_netcdf	= -L. -lnetcdf

HEADER	= netcdf.h

MANUAL	= netcdf.3

LIB_CSRCS = \
	attr.c \
	dim.c \
	error.c \
	libvers.c \
	nc.c \
	ncio.c \
	ncx.c \
	putget.c \
	string.c \
	v1hpg.c \
	v2i.c \
	var.c

PACKING_LIST = \
	$(LIB_CSRCS) \
	attr.m4 \
	depend \
	fbits.h \
	Makefile \
	nc.h \
	ncio.h \
	ncx.m4 \
	onstack.h \
	putget.m4 \
	ffio.c \
	posixio.c \
	ncx.h \
	ncx_cray.c \
	netcdf.3 \
	netcdf.h \
	rnd.h \
	test_nc.sav \
	t_nc.c \
	t_ncio.c \
	t_ncxx.m4 \
	t_ncxx.c \
	t_ncx.c install-sh

LIB_OBJS = $(LIB_CSRCS:.c=.o)

GARBAGE		= t_ncio.o t_ncio t_ncx.o t_ncx t_ncxx.o t_ncxx \
	t_nc.o t_nc test.nc *.so

DIST_GARBAGE	= ncconfig.h


all:		$(LIBRARY) $(MANUAL)

check:		full_test 

full_test:	test_ncx test nctest

install:	$(LIBDIR)/$(LIBRARY)	\
		$(INCDIR)/$(HEADER)	\
		$(MANDIR)/man3/$(MANUAL)

uninstall:
	-rm -f $(LIBDIR)/$(LIBRARY)
	-rm -f $(INCDIR)/$(HEADER)
	-rm -f $(MANDIR)/man3/$(MANUAL)


libvers.o:	../VERSION libvers.c
	$(COMPILE.c) -DVERSION=`cat ../VERSION` libvers.c

test_ncio:	t_ncio
	time ./t_ncio -s 16384 -c /tmp/test.io < t_ncio.in
	time ./t_ncio -s 16384 -w -S /tmp/test.io < t_ncio.in
	-rm /tmp/test.io

test_ncx:	t_ncx t_ncxx
	./t_ncx
	./t_ncxx

test:	t_nc
	./t_nc
	cmp test.nc test_nc.sav
	@echo '*** Success ***'

nctest:		$(LIBRARY)
	(cd ../nctest ; make test)

nc_test:	$(LIBRARY)
	(cd ../nc_test ; make test)


libvers:	../VERSION libvers.c
	$(LINK.c) -DVERSION=`cat ../VERSION` -DMAKE_PROGRAM libvers.c

t_ncio:		ncio.o t_ncio.o
	$(LINK.c) t_ncio.o ncio.o $(LIBS)

t_ncx:		t_ncx.o ncx.o
	$(LINK.c) t_ncx.o ncx.o $(LIBS)

t_ncxx:		t_ncxx.o ncx.o
	$(LINK.c) t_ncxx.o ncx.o $(LIBS)


t_nc:		t_nc.o $(LIBRARY)
	$(LINK.c) t_nc.o $(ld_netcdf) $(LIBS)

saber_src:
	#load -C $(CPPFLAGS) $(LIB_CSRCS)

tags:		FORCE
	ctags -t *.c *.h

# The rule for generating the manual page is here for completeness only.
# The manual page is actually part of the distribution so that we don't
# have to depend on the non-POSIX utility m4(1).
#
$(MANUAL):	../man/netcdf.m4
	$(M4) $(M4FLAGS) -DAPI=C $? >$@  || rm $@

include ../rules.make

.SUFFIXES: .ln
LINT = lint
LINT.c = $(LINT) $(LINTFLAGS) $(CPPFLAGS)
.c.ln:
	$(LINT.c) -c $<

llib-lnetcdf.ln: $(LIB_CSRCS)
	$(LINT.c) $(LIB_CSRCS) -y -o netcdf

lint: llib-lnetcdf.ln
	$(LINT.c) t_nc.c llib-lnetcdf.ln

attr.c:	attr.m4
ncx.c:	ncx.m4
putget.c: putget.m4
t_ncxx.c: t_ncxx.m4
# Ensure that the I/O module depends on ALL implementation files.
ncio.o:		ffio.c posixio.c

include depend

=== debian/changelog ===
netcdf-g95 (3.6.1-20070320) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 25 Mar 2007 02:15:04 +0900

## netcdf-g95 3.6.1-20070330

=== debian/changelog ===
netcdf-g95 (3.6.1-20070330) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Apr 2007 02:15:06 +0900

## netcdf-g95 3.6.1-20070404

=== debian/changelog ===
netcdf-g95 (3.6.1-20070404) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Apr 2007 02:15:05 +0900

## netcdf-g95 3.6.1-20070412

=== debian/changelog ===
netcdf-g95 (3.6.1-20070412) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Apr 2007 02:15:06 +0900

## netcdf-g95 3.6.1-20070418

=== debian/changelog ===
netcdf-g95 (3.6.1-20070418) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Apr 2007 02:15:05 +0900

## netcdf-g95 3.6.2-0.9

=== debian/changelog ===
netcdf-g95 (3.6.2-0.9) unstable; urgency=low

  * Compiled by G95 Fortran compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Tue, 27 Nov 2007 17:03:26 +0900

Local variables:
mode: change-log
End:

## netcdf-g95 3.6.2-20070418

=== debian/changelog ===
netcdf-g95 (3.6.2-20070418) unstable; urgency=low

  * New upstream release of netCDF library

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Fri, 27 Apr 2007 03:28:25 +0900

## netcdf-g95 3.6.2-20070426

=== debian/changelog ===
netcdf-g95 (3.6.2-20070426) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Apr 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070503

=== debian/changelog ===
netcdf-g95 (3.6.2-20070503) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  6 May 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070510

=== debian/changelog ===
netcdf-g95 (3.6.2-20070510) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 13 May 2007 02:15:05 +0900

## netcdf-g95 3.6.2-20070524

=== debian/changelog ===
netcdf-g95 (3.6.2-20070524) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 May 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070529

=== debian/changelog ===
netcdf-g95 (3.6.2-20070529) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Jun 2007 02:15:07 +0900

## netcdf-g95 3.6.2-20070604

=== debian/changelog ===
netcdf-g95 (3.6.2-20070604) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Jun 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070627

=== debian/changelog ===
netcdf-g95 (3.6.2-20070627) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Jul 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070710

=== debian/changelog ===
netcdf-g95 (3.6.2-20070710) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 15 Jul 2007 02:15:05 +0900

## netcdf-g95 3.6.2-20070717

=== debian/changelog ===
netcdf-g95 (3.6.2-20070717) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Jul 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070725

=== debian/changelog ===
netcdf-g95 (3.6.2-20070725) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 29 Jul 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070810

=== debian/changelog ===
netcdf-g95 (3.6.2-20070810) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 12 Aug 2007 02:15:07 +0900

## netcdf-g95 3.6.2-20070815

=== debian/changelog ===
netcdf-g95 (3.6.2-20070815) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Aug 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070822

=== debian/changelog ===
netcdf-g95 (3.6.2-20070822) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Aug 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070828

=== debian/changelog ===
netcdf-g95 (3.6.2-20070828) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Sep 2007 02:15:05 +0900

## netcdf-g95 3.6.2-20070906

=== debian/changelog ===
netcdf-g95 (3.6.2-20070906) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  9 Sep 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070912

=== debian/changelog ===
netcdf-g95 (3.6.2-20070912) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 16 Sep 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20070925

=== debian/changelog ===
netcdf-g95 (3.6.2-20070925) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 30 Sep 2007 02:15:07 +0900

## netcdf-g95 3.6.2-20071017

=== debian/changelog ===
netcdf-g95 (3.6.2-20071017) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Oct 2007 02:15:06 +0900

## netcdf-g95 3.6.2-20071026

=== debian/changelog ===
netcdf-g95 (3.6.2-20071026) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Oct 2007 02:15:07 +0900

## netcdf-g95 3.6.2-20071106

=== debian/changelog ===
netcdf-g95 (3.6.2-20071106) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Nov 2007 02:15:06 +0900

=== debian/control ===
Source: netcdf-g95
Section: math
Priority: optional
Maintainer: Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>
Build-Depends: debhelper (>= 4.0.0)
Standards-Version: 3.6.1

Package: netcdf-g95
Architecture: i386
Depends: 
Recommends: g95
Suggests:
Description: NetCDF static library build with G95 Fortran compiler.
 Alternative developer's package of NetCDF. This package provides
 NetCDF static libraries for G95 Fortran compiler for Linux.

## netcdf-g95 3.6.2-20071116

=== debian/changelog ===
netcdf-g95 (3.6.2-20071116) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Nov 2007 02:15:07 +0900

## netcdf-g95 3.6.2-20071129

=== debian/changelog ===
netcdf-g95 (3.6.2-20071129) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Dec 2007 02:15:07 +0900

## netcdf-g95 3.6.3-0.91

=== debian/changelog ===
netcdf-g95 (3.6.3-0.91) unstable; urgency=low

  * New upstream release of g95 compiler
  * New upstream release of NetCDF library

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 21 Jun 2008 02:00:56 +0900

## netcdf-g95 3.6.3-20080618

=== debian/changelog ===
netcdf-g95 (3.6.3-20080618) unstable; urgency=low

  * New upstream release of g95 compiler
  * New upstream release of NetCDF library

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sat, 21 Jun 2008 01:47:56 +0900

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,6 @@
 #export DH_VERBOSE=1
 
 EXT=g95
-FC=g77
 CC=gcc
 CXX=g++
 CPPFLAGS=-Df2cFortran
@@ -23,11 +22,10 @@
 ifeq (,$(F90))
 	export F90=g95
 endif
-
+FC=$(F90)
 
 package=netcdf-$(EXT)
-export DESTDIR=$(shell expr `pwd`/debian/tmp/usr)
-
+DESTDIR=$(shell expr `pwd`/debian/tmp/usr)
 
 CFLAGS = -Wall -g
 
@@ -47,7 +45,7 @@
 	cp debian/control.$(EXT) debian/control
 	# Add here commands to configure the package.
 
-	(cd src && export CC=$(CC) FC=$(FC) F90=$(F90) CXX=$(CXX) CPPFLAGS=$(CPPFLAGS) F90FLAGS=$(F90FLAGS) ; ./configure --prefix=$(DESTDIR))
+	(export CC=$(CC) FC=$(FC) F90=$(F90) CXX=$(CXX) CPPFLAGS=$(CPPFLAGS) F90FLAGS=$(F90FLAGS) ; ./configure --prefix=$(DESTDIR))
 
 check-g95:
 	@if ! which $(F90) > /dev/null 2>&1 ; then \
@@ -60,7 +58,7 @@
 build: build-stamp
 	$(checkdir)
 
-	(cd src && $(MAKE) ; $(MAKE) test -C f90)
+	($(MAKE) ; $(MAKE) check -C f90)
 	touch build
 
 build-stamp: configure-stamp 
@@ -81,10 +79,9 @@
 	cp debian/control.$(EXT) debian/control
 	$(checkdir)
 	-rm -f build
-	(cd src && touch macros.make ; $(MAKE) distclean)
+	$(MAKE) distclean || true
 	-rm -f `find . -name "*~"`
 	-rm -rf debian/tmp debian/files* core debian/substvars
-	-rm -f src/work.* src/f90/*.d src/f90/work.*
 
 	dh_clean 
 
@@ -98,8 +95,15 @@
 	-rm -rf debian/tmp
 	install -d debian/tmp
 	cd debian/tmp && install -d `cat ../dirs`
-	cp src/libsrc/libnetcdf.a debian/tmp/usr/lib/libnetcdf-$(EXT).a
-	pwd
+	#$(MAKE) install -C libsrc/ install-libLTLIBRARIES
+	$(MAKE) install
+	mv $(DESTDIR)/lib/libnetcdf.a $(DESTDIR)/lib/libnetcdf-$(EXT).a
+	rm -f $(DESTDIR)/lib/libnetcdf.la
+	rm -f $(DESTDIR)/lib/libnetcdf_c++.a
+	rm -f $(DESTDIR)/lib/libnetcdf_c++.la
+	rm -fr $(DESTDIR)/bin/
+	rm -fr $(DESTDIR)/include/
+	rm -fr $(DESTDIR)/share/
 
 	dh_testdir
 	dh_testroot

## netcdf-g95 3.6.3-20080701

=== debian/changelog ===
netcdf-g95 (3.6.3-20080701) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  6 Jul 2008 02:15:19 +0900

## netcdf-g95 3.6.3-20080708

=== debian/changelog ===
netcdf-g95 (3.6.3-20080708) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 13 Jul 2008 02:15:19 +0900

## netcdf-g95 3.6.3-20080715

=== debian/changelog ===
netcdf-g95 (3.6.3-20080715) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 20 Jul 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20080724

=== debian/changelog ===
netcdf-g95 (3.6.3-20080724) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 27 Jul 2008 02:15:22 +0900

## netcdf-g95 3.6.3-20080731

=== debian/changelog ===
netcdf-g95 (3.6.3-20080731) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  3 Aug 2008 02:15:23 +0900

## netcdf-g95 3.6.3-20080808

=== debian/changelog ===
netcdf-g95 (3.6.3-20080808) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 10 Aug 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20080813

=== debian/changelog ===
netcdf-g95 (3.6.3-20080813) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 17 Aug 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20080822

=== debian/changelog ===
netcdf-g95 (3.6.3-20080822) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 24 Aug 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20080829

=== debian/changelog ===
netcdf-g95 (3.6.3-20080829) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 31 Aug 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20080905

=== debian/changelog ===
netcdf-g95 (3.6.3-20080905) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Sep 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20080911

=== debian/changelog ===
netcdf-g95 (3.6.3-20080911) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Sep 2008 02:15:20 +0900

## netcdf-g95 3.6.3-20080916

=== debian/changelog ===
netcdf-g95 (3.6.3-20080916) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Sep 2008 02:15:22 +0900

## netcdf-g95 3.6.3-20080924

=== debian/changelog ===
netcdf-g95 (3.6.3-20080924) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 28 Sep 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20081002

=== debian/changelog ===
netcdf-g95 (3.6.3-20081002) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  5 Oct 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20081009

=== debian/changelog ===
netcdf-g95 (3.6.3-20081009) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 12 Oct 2008 02:15:19 +0900

## netcdf-g95 3.6.3-20081017

=== debian/changelog ===
netcdf-g95 (3.6.3-20081017) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 19 Oct 2008 02:15:20 +0900

## netcdf-g95 3.6.3-20081023

=== debian/changelog ===
netcdf-g95 (3.6.3-20081023) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 26 Oct 2008 02:15:16 +0900

## netcdf-g95 3.6.3-20081027

=== debian/changelog ===
netcdf-g95 (3.6.3-20081027) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  2 Nov 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20081105

=== debian/changelog ===
netcdf-g95 (3.6.3-20081105) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  9 Nov 2008 02:15:19 +0900

## netcdf-g95 3.6.3-20081114

=== debian/changelog ===
netcdf-g95 (3.6.3-20081114) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 16 Nov 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20081118

=== debian/changelog ===
netcdf-g95 (3.6.3-20081118) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 23 Nov 2008 02:15:47 +0900

## netcdf-g95 3.6.3-20081127

=== debian/changelog ===
netcdf-g95 (3.6.3-20081127) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 30 Nov 2008 02:15:19 +0900

## netcdf-g95 3.6.3-20081203

=== debian/changelog ===
netcdf-g95 (3.6.3-20081203) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  7 Dec 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20081211

=== debian/changelog ===
netcdf-g95 (3.6.3-20081211) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 14 Dec 2008 02:15:18 +0900

## netcdf-g95 3.6.3-20081216

=== debian/changelog ===
netcdf-g95 (3.6.3-20081216) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 21 Dec 2008 02:15:17 +0900

## netcdf-g95 3.6.3-20090107

=== debian/changelog ===
netcdf-g95 (3.6.3-20090107) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 11 Jan 2009 02:15:17 +0900

## netcdf-g95 3.6.3-20090116

=== debian/changelog ===
netcdf-g95 (3.6.3-20090116) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 18 Jan 2009 02:15:19 +0900

## netcdf-g95 3.6.3-20090129

=== debian/changelog ===
netcdf-g95 (3.6.3-20090129) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Feb 2009 02:15:25 +0900

## netcdf-g95 3.6.3-20090204

=== debian/changelog ===
netcdf-g95 (3.6.3-20090204) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  8 Feb 2009 02:15:26 +0900

## netcdf-g95 3.6.3-20090219

=== debian/changelog ===
netcdf-g95 (3.6.3-20090219) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun, 22 Feb 2009 02:15:17 +0900

## netcdf-g95 3.6.3-20090226

=== debian/changelog ===
netcdf-g95 (3.6.3-20090226) unstable; urgency=low

  * New upstream release of g95 compiler

 -- Yasuhiro MORIKAWA <morikawa@gfd-dennou.org>  Sun,  1 Mar 2009 02:15:17 +0900

## netcdf-g95 4.1.1

=== debian/changelog ===
netcdf-g95 (4.1.1-2) unstable; urgency=low

  * Add netcdf.inc

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Wed, 26 Jan 2011 01:44:23 +0900

netcdf-g95 (4.1.1-1) unstable; urgency=low

  * Imported Upstream version 4.1.1

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 24 Jan 2011 16:48:17 +0900

netcdf-g95 (3.6.3-5) unstable; urgency=low

  * Bump Standard Version: 3.8.3 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sun, 13 Sep 2009 01:32:45 +0900

netcdf-g95 (3.6.3-4) unstable; urgency=low

  * Add Provides, Replaces, Conflicts for upgrade 

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Sat, 27 Jun 2009 18:56:34 +0000

netcdf-g95 (3.6.3-3) unstable; urgency=low

  * Typo fixed
  * create metapackage netcdf-ffc

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Mon, 30 Mar 2009 02:13:23 +0900

=== debian/control ===
Source: netcdf-g95
Section: science
Priority: optional
Maintainer: Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: debhelper (>= 7.0.50~), quilt (>= 0.46-7~), g95, texinfo, zlib1g-dev, libhdf5-serial-dev, libdap-dev, libcurl4-gnutls-dev, libnetcdf-dev, texlive-base, texlive-latex-base
Standards-Version: 3.9.1
Homepage: http://www.unidata.ucar.edu/software/netcdf/

Package: libnetcdff-g95-dev
Section: libdevel
Architecture: amd64 i386
Depends: ${shlibs:Depends}, ${misc:Depends}, libnetcdf-dev
Suggests: g95, netcdf-bin, netcdf-doc
Description: Development kit for NetCDF(build with G95 Fortran)
 NetCDF (network Common Data Form) is an interface for scientific
 data access and a freely-distributed software library that provides an
 implementation of the interface.  The netCDF library also defines a
 machine-independent format for representing scientific data.
 Together, the interface, library, and format support the creation,
 access, and sharing of scientific data.
 .
 This package includes everything needed for developing in
 Fortran 77, and Fortran 90 (fortran interfaces build with G95 Fortran).

Package: netcdf-g95
Architecture: amd64 i386
Depends: libnetcdff-g95-dev, ${misc:Depends}
Description: Transitional package
 This dummy package is provided for a smooth transition from the
 previous netcdf-g95 package (the package is replaced by libnetcdff-g95-dev).
 .
 It may safely be removed after installation.
